Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 03 Dec 2021 12:10:29 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I ordered items worth kd 45 and received a M sized t-shirt and bottom  homewear order with 2 sizes!! M and XL which I can't even wear!! I'm very disappointed and I will never place an order with Max again!! Check my order history and I have loyally placed so many orders with you. This is not at all acceptable and I am extremely disappointed with your service. This is pure cheating. Poor service. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3440880